﻿using UnityEngine;
using System.Collections;

public class IntroManager : MonoBehaviour 
{
	public enum Stage
	{
		INTRO,
		INSTRUCTIONS_MIN1,
		INSTRUCTIONS_MIN2,
		GAME_OVER_MIN1,
		GAME_OVER_MIN2,
		FINAL_SCENE
	}

	public Stage stage;


	public void OnNext()
	{
		switch(stage)
		{
		case Stage.INTRO:
			Application.LoadLevel("Instructions_Min1");
			break;
		case Stage.INSTRUCTIONS_MIN1:
			Application.LoadLevel("Minigame1");
			break;
		case Stage.INSTRUCTIONS_MIN2:
			Application.LoadLevel("Minigame02");
			break;
		case Stage.GAME_OVER_MIN1:
			Application.LoadLevel("Cover");
			break;
		case Stage.GAME_OVER_MIN2:
			Application.LoadLevel("Cover");
			break;
		case Stage.FINAL_SCENE:
			Application.LoadLevel("Cover");
			break;
		}
	}

}
