﻿using UnityEngine;
using System.Collections;

public class WaterAndRad : MonoBehaviour {

	public GameObject score;       // Referencia ao score do tupa
	public GameObject water;                // Objetos a serem spawnados
	public GameObject rad;
	public float spawnTimeWater = 3f;            // time entre cada spawn
	public Transform[] spawnPointsWater;         // Pontos de spawn
	public float spawnTimeRad = 3f;
	public Transform[] spawnPointsRads;




	// Use this for initialization
	void Start () 
	{
		InvokeRepeating ("SpawnWater", spawnTimeWater, spawnTimeWater);
		score = GameObject.FindGameObjectWithTag ("hoppingManager");

		InvokeRepeating ("SpawnRad", spawnTimeRad, spawnTimeRad);
	}

	void SpawnWater ()
	{

		if(score.GetComponent<HoppingManager>().score >= 20.0f)
		{
			return;
		}

		int spawnPointIndex = Random.Range (0, spawnPointsWater.Length);

		Instantiate (water, spawnPointsWater[spawnPointIndex].position, spawnPointsWater[spawnPointIndex].rotation);

	}
	void SpawnRad()
	{
		int spawnPointIndex = Random.Range (0, spawnPointsRads.Length);

		Instantiate (rad, spawnPointsRads[spawnPointIndex].position, spawnPointsRads[spawnPointIndex].rotation);
	}
		            
		
		
		
		
}
